Be in love with vulnerability scanning

Mageni is a powerful and easy vulnerability scanner used by companies of all sizes. You will be in love with Mageni's powerful features, ease of use and price. Free for 7-days then $39 monthly for infinite IPs.

Start now 

No Contracts, Cancel at Anytime and 7-days Money-Back Guarantee.

App screenshot

CVE-2004-0903

CVE information

Published

17 years ago

Last Modified

4 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Stack-based buffer overflow in the writeGroup function in nsVCardObj.cpp for Mozilla Firefox before the Preview Release, Mozilla before 1.7.3, and Thunderbird before 0.8 allows remote attackers to execute arbitrary code via malformed VCard attachments that are not properly handled when previewing a message..

CVSSv2.0 Score

Severity
High
Base Score
10/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:mozilla:thunderbird:0.7.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:conectiva:linux:9.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:mozilla:mozilla:1.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:mozilla:mozilla:1.7.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:mozilla:thunderbird:0.7.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:mozilla:thunderbird:0.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:conectiva:linux:10.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:mozilla:mozilla:1.7.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:mozilla:thunderbird:0.7.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.0:*:enterprise_server:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:2.1:*:advanced_server_ia64
  Yes
- -
cpe:2.3:o:redhat:linux:7.3:*:i686:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux_desktop:3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux_advanced_workstation:2.1:*:ia64:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:8.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:3.0:*:workstation_server:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:2.1:*:enterprise_server:*:
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:2.1:*:advanced_server:*:*:
  Yes
- -
cpe:2.3:o:redhat:fedora_core:core_1.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:1.0:*:desktop:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:8.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:3.0:*:enterprise_server:*:
  Yes
- -
cpe:2.3:o:redhat:linux_advanced_workstation:2.1:*:itanium_pr
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.0:*:x86_64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:2.1:*:enterprise_server_ia
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:2.1:*:workstation:*:*:*:*:
  Yes
- -
cpe:2.3:o:redhat:linux:7.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:linux:7.3:*:i386:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:8:*:enterprise_server:*:*:*:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:2.1:*:workstation_ia64:*:*
  Yes
- -
cpe:2.3:o:redhat:enterprise_linux:3.0:*:advanced_server:*:*:
  Yes
- -
cpe:2.3:o:redhat:linux:9.0:*:i386:*:*:*:*:*
  Yes
- -

Every 11 seconds there is a ransomware attack.

Mageni can help you manage this threat by understanding your vulnerabilities and prioritizing the remediation.

Sign up for free